/*
Theme Name: Agentur77
Theme URI: https://agentur77.de
Description: Agentur-77 Theme
Author: Alex
Version: 1.1
Screenshot: screenshot.jpg
Template: hello-elementor
*/

/* ------------------------- Kontaktformular Messages ------------------------- */
/* Succss Message */
.kontaktformular
  .elementor-message.elementor-message-success.elementor-message-svg {
  background: #f3f3f3;
  width: 100%;
  height: auto;
  padding: 20px 25px;
  font-weight: 600;
}
.kontaktformular .elementor-message-svg:before {
  height: 1.25em;
  width: 1.25em;
  background-size: contain;
}

/* Error Message */
.kontaktformular .elementor-message.elementor-message-danger {
  background: #f3f3f3;
  width: 100%;
  height: auto;
  padding: 0px 25px;
  font-weight: 600;
}
.kontaktformular .elementor-message.elementor-message-danger:before {
  height: 1.25em;
  width: 1.25em;
  background-size: contain;
}

/* ------------------------------ ANCHOR Header ----------------------------- */
header {
  .nav-menu {
    ul {
      li {
        a.elementor-sub-item {
          border-inline-start: 0px !important;
          &:hover {
            border-inline-start: 0px !important;
          }
        }
      }
    }
  }
}

/* ------------------------------ ANCHOR Footer ----------------------------- */
footer {
#footer-logo {
    filter: brightness(0) invert(1);
}
  .footer-main {
    .list-hover {
      li.elementor-icon-list-item a{
        transition: 0.3s ease-in-out;
        padding-left: 0;

        &:hover {
          cursor: pointer;
          transition: 0.3s ease-in-out;
          padding-left: 8px;
        }
      }
    }
  }
}


/* ------------------------------ ANCHOR Accordion ----------------------------- */

@keyframes rotateIcon {
  from {
    transform: translateX(0) rotate(0deg) scale(1);
  }
  to {
    transform: rotate(-90deg) translateX(-13px) translateY(18px) scale(0.8);
  }
}

.faq-wrapper .e-n-accordion-item-title,
.faq-wrapper .faq-wrapper-item,
.faq-wrapper .faq-wrapper-item-text {
  transition: background-color 0.3s ease-in-out, border-color 0.3s ease-in-out;
  clip-path: inset(0 0 0 0); 
}

.faq-wrapper .e-n-accordion-item-title svg {
  transform: translateX(0) rotate(0deg); 
  animation: none;
}

.faq-wrapper .e-n-accordion-item[open] .e-n-accordion-item-title svg {
  animation: rotateIcon 0.3s ease-in-out forwards;
}

.faq-wrapper .e-n-accordion-item:not([open]) .e-n-accordion-item-title svg {
  animation: rotateIcon 0.3s ease-in-out reverse;
}

.e-n-accordion-item:not([open]) .e-n-accordion-item-title {
  border-radius: 13px !important;
}

.elementor-field-group-field_bbc3351 {
    text-align: right !important;
    display: flex !important;
    flex-direction: column !important;
    align-items: flex-end !important;
    margin-bottom: 60px !important;
}

#form-field-field_bbc3351 {
    margin-left: auto !important;
    display: block !important;
}

.elementor-field-group-field_bbc3351 .elementor-field-label {
    text-align: right !important;
    width: 100% !important;
}

@media (max-width: 767px) {
    #form-field-field_bbc3351 {
        width: 100% !important;
        max-width: 300px !important;
    }
}

